{
    attributes = (
        {
            columnName = "mois_annee"; 
            externalType = NUMBER; 
            name = moisAnnee; 
            precision = 10; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "mois_code"; 
            externalType = NUMBER; 
            name = moisCode; 
            precision = 10; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "mois_complet"; 
            externalType = VARCHAR2; 
            name = moisComplet; 
            valueClassName = NSString; 
            valueType = S; 
            width = 14; 
        }, 
        {
            columnName = "MOIS_DEBUT"; 
            externalType = DATE; 
            name = moisDebut; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "MOIS_FIN"; 
            externalType = DATE; 
            name = moisFin; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "mois_libelle"; 
            externalType = VARCHAR2; 
            name = moisLibelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 9; 
        }, 
        {
            columnName = "mois_numero"; 
            externalType = NUMBER; 
            name = moisNumero; 
            precision = 10; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (moisAnnee, moisComplet, moisLibelle, moisNumero); 
    className = "org.cocktail.kaki.server.metier.EOMois"; 
    classProperties = (
        exercice, 
        moisAnnee, 
        moisCode, 
        moisComplet, 
        moisDebut, 
        moisFin, 
        moisLibelle, 
        moisNumero
    ); 
    externalName = "JEFY_PAF.PAF_MOIS"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            exercice, 
            moisAnnee, 
            moisCode, 
            moisComplet, 
            moisDebut, 
            moisFin, 
            moisLibelle, 
            moisNumero
        ); 
        "_javaClientClassName" = "org.cocktail.kaki.client.metier.EOMois"; 
    }; 
    name = Mois; 
    primaryKeyAttributes = (moisCode); 
    relationships = (
        {
            destination = Exercice; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = moisAnnee; }); 
            name = exercice; 
        }
    ); 
}
